// migrate all prefs to "extensions." branch
(function migratePrefsToExtensionsBranch(fromBranch) {
	var prefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("");
	prefs.getChildList(fromBranch, {}).forEach(function(name) {
		if (prefs.prefHasUserValue(name)) {
			switch (prefs.getPrefType(name)) {
				case prefs.PREF_BOOL:
					prefs.setBoolPref("extensions."+name, prefs.getBoolPref(name));
					break;
				case prefs.PREF_INT:
					prefs.setIntPref("extensions."+name, prefs.getIntPref(name));
					break;
				case prefs.PREF_STRING:
					prefs.setCharPref("extensions."+name, prefs.getCharPref(name));
					break;
			}
			prefs.clearUserPref(name);
		}
	});
})("charsetswitcher.");
